Package com.plannaplan.responses.models

# Class CommisionWithGroupsResponse

java.lang.Object
com.plannaplan.responses.models.CommisionResponse
com.plannaplan.responses.models.CommisionWithGroupsResponse

    public class CommisionWithGroupsResponse
    extends CommisionResponse

Commision With Groups api Response. It extends CommisionResponse repsone

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CommisionWithGroupsResponse​(com.plannaplan.entities.Commision commision)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.util.List<java.lang.Long>` | `getGroups()` |

### Methods inherited from class com.plannaplan.responses.models.CommisionResponse

`getCommisionDate, getCommiter, getId, getOwner`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommisionWithGroupsResponse

public CommisionWithGroupsResponse​(com.plannaplan.entities.Commision commision)

Parameters:
  `commision` - commision to map to api response

## Method Details

### getGroups

public java.util.List<java.lang.Long> getGroups()

Returns:
  lsit of fetured groups ids